Package: org.codehaus.groovy.transform

## [Groovy] Class ASTTestTransformation

- org.codehaus.groovy.transform.ASTTestTransformation

- All Implemented Interfaces and Traits:
    ASTTransformation, CompilationUnitAware

      @GroovyASTTransformation(phase: CompilePhase.SEMANTIC_ANALYSIS)
      class ASTTestTransformation
      extends Object
      implements ASTTransformation, CompilationUnitAware

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `static class` | `ASTTestTransformation.LabelFinder` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `CompilationUnit` | `compilationUnit`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ASTTestTransformation()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `visit(ASTNode[] nodes, SourceUnit source)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Property Detail

    - #### CompilationUnit compilationUnit

  - ### Constructor Detail

    - #### ASTTestTransformation()

  - ### Method Detail

    - #### @Override
      void visit(ASTNode[] nodes, SourceUnit source)